Skip to main content
`Ctrl`+`K`

# hoffman_singleton_graph

hoffman_singleton_graph()

  Returns the Hoffman-Singleton Graph.

  The Hoffman–Singleton graph is a symmetrical undirected graph with 50 nodes and 175 edges. All indices lie in `Z % 5`: that is, the integers mod 5 [1]. It is the only regular graph of vertex degree 7, diameter 2, and girth 5. It is the unique (7,5)-cage graph and Moore graph, and contains many copies of the Petersen graph [2].

  Returns:
    G networkx Graph

      Hoffman–Singleton Graph with 50 nodes and 175 edges

  Notes

  Constructed from pentagon and pentagram as follows: Take five pentagons \(P_h\) and five pentagrams \(Q_i\) . Join vertex \(j\) of \(P_h\) to vertex \(h·i+j\) of \(Q_i\) [3].

  References

  [1]

  https://blogs.ams.org/visualinsight/2016/02/01/hoffman-singleton-graph/

  [2]

  https://mathworld.wolfram.com/Hoffman-SingletonGraph.html

  [3]

  https://en.wikipedia.org/wiki/Hoffman%E2%80%93Singleton_graph